COVID-19 Update: Repairs and support services are operational. Learn More →

Support BMPCC 4K/6K Display Modification Kit Firmware

What firmware version does my camera need to work with the BMPCC Display Modification? Last modified 07/29/20

The Tiltaing BMPCC Display Modification requires Blackmagic Camera firmware 6.9.1 or higher to function properly. Our engineers may install the correct firmware version if we receive your camera and it is using an incompatible firmware version.

We suggest visiting blackmagicdesign.com/support and updating your camera before sending it in for the modification service.

Not HelpfulHelpful (1 votes)
Loading...

Contact Us

Chat or Message us

Send us your questions and our support staff will get back to you. You can also email us directly on our contact page

Phone Support

+1 (818) 561-4991
Mon-Fri 9am-6pm Pacific time

Service Request

Get your equipment repaired by our engineers